

images = {'bark11.gif','bark12.gif','bark21.gif','bark22.gif','brick11.gif','brick12.gif','brick21.gif','brick22.gif','carpet11.gif','carpet12.gif','carpet21.gif','carpet22.gif'};
noofimg=numel(images);

imatt=double(imread('bark11.gif'));
s=cat(3,imatt);

for i=2:noofimg
   imatt=double(imread(char(images(i))));
   s=cat(3,s,imatt);
end


[X,R] = imstack2vectors(s);

P= princomp(X,6);
 
   %calculating the euclidean distance
   PCmat=P.A;
edist=[];

for i=1:noofimg
    for j=1:noofimg
        edist(i,j) = norm(PCmat(:,i)-PCmat(:,j));
    end
end

disp('   EUCLIDEAN DISTANCE BETWEEN PRINCIPAL COMPONENT IMAGES    ');
disp(edist);

cosdist=[];

for i=1:noofimg
    for j=1:noofimg
        cosdist(i,j) =1-(dot(PCmat(:,i),PCmat(:,j)))/(norm(PCmat(:,i))*norm(PCmat(:,j)));
    end
end

disp('    COSINE DISTANCE BETWEEN PRINCIPAL COMPONENT IMAGES      ');
disp(cosdist);


